Subject: RFC7233 Range Requests: Indeterminate lengths

From: Rodger Combs <[email-masked]>
Date: Thu, 19 Feb 2015 02:22:33 +0000

It appears that the current HTTP/2 spec doesn't allow 206 Partial Content replies to be of indeterminate length. RFC 7233 section 4.2 requires that the "last-byte-pos" field in the Content-Range header be a number, rather than "*". It'd be convenient to allow the last byte position to be indeterminate if the requested range lacked a "last-byte-pos" field. Would this change be within the scope of HTTP/2 to make?

Thanks,
--Rodger Combs

---

From: Julian Reschke <[email-masked]>
Date: Wed, 04 Mar 2015 20:32:56 +0100

> It appears that the current HTTP/2 spec doesn't allow 206 Partial Content replies to be of indeterminate length. RFC 7233 section 4.2 requires that the "last-byte-pos" field in the Content-Range he…

No, it's not in scope for HTTP/2, because:

a) HTTP/2 is done

b) HTTP/2 can be considered an alternate wire format for HTTP; so this 
kind of change should apply to HTTP/1.1 as well

That being said, extensions like this can be discussed in separate 
specs, independently of the HTTP protocol version.

Best regards, Julian